import { DomainChart } from "./DomainChart";
import { IEnumerable$1, Type } from "igniteui-react-core";
import { Brush } from "igniteui-react-core";
import { HorizontalAlignment } from "igniteui-react-core";
import { VerticalAlignment } from "igniteui-react-core";
import { Visibility } from "igniteui-react-core";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { Axis } from "./Axis";
import { AxisLabelSettings } from "./AxisLabelSettings";
import { TitleSettings } from "./TitleSettings";
import { DataSeries } from "igniteui-react-core";
import { XamDataChart } from "./XamDataChart";
import { CategoryAxisBase } from "./CategoryAxisBase";
/**
 * @hidden
 */
export declare abstract class XYChart extends DomainChart {
    static $t: Type;
    provideContainer(a: any): void;
    protected hs(): void;
    protected ie(a: string, b: any, c: any): void;
    private jr;
    jt: (item: any) => string;
    private js;
    ju: (item: any) => string;
    private j4;
    k6: number;
    private j6;
    k8: number;
    private j5;
    k7: number;
    private j3;
    k5: number;
    private kl;
    ln: number;
    private kn;
    lp: number;
    private km;
    lo: number;
    private kk;
    lm: number;
    private o7;
    pl: Brush;
    private pe;
    ps: Brush;
    private kf;
    lh: number;
    private kw;
    ly: number;
    private ke;
    lg: number;
    private kv;
    lx: number;
    private kh;
    lj: number;
    private ky;
    l0: number;
    private kg;
    li: number;
    private kx;
    lz: number;
    private kd;
    lf: number;
    private ku;
    lw: number;
    private pd;
    pr: Brush;
    private pk;
    py: Brush;
    protected ig(a: string, b: any, c: any): void;
    private l6;
    mr: string;
    private ma;
    nw: string;
    private l8;
    nf: string;
    private mc;
    ok: string;
    private oq;
    private os;
    protected iw(a: DataSeries): void;
    protected abstract jp(): Axis;
    protected abstract jq(): Axis;
    protected ot(a: (arg1: Axis) => void): void;
    protected ou(a: (arg1: Axis) => void, b: string): void;
    protected oy(a: (arg1: Axis) => void, b: boolean): void;
    protected ox(a: (arg1: Axis) => void): void;
    protected ow(a: (arg1: TitleSettings) => void): void;
    protected o0(a: (arg1: TitleSettings) => void): void;
    protected oz(a: (arg1: AxisLabelSettings) => void): void;
    protected ov(a: (arg1: AxisLabelSettings) => void): void;
    kz(a: number): number;
    k1(a: number): number;
    k0(a: number): number;
    k2(a: number): number;
    protected iu(a: XamDataChart): void;
    static md(a: CategoryAxisBase, b: IEnumerable$1<DataSeries>): string;
    protected hn(a: XamDataChart): void;
    protected op(a: Axis): void;
    protected or(a: Axis): void;
    protected hk(): void;
    protected on(a: Axis, b: (arg1: AxisLabelSettings) => void): void;
    protected oo(a: Axis, b: (arg1: TitleSettings) => void): void;
    protected id(a: string, b: any, c: any): void;
    private l1;
    l3: any;
    private l2;
    l4: any;
    private o8;
    pm: Brush;
    private pf;
    pt: Brush;
    private j7;
    k9: number;
    private ko;
    lq: number;
    private j8;
    la: number;
    private kp;
    lr: number;
    private pa;
    po: Brush;
    private ph;
    pv: Brush;
    private pb;
    pp: Brush;
    private pi;
    pw: Brush;
    private j9;
    lb: number;
    private kq;
    ls: number;
    private ka;
    lc: number;
    private kr;
    lt: number;
    private pc;
    pq: Brush;
    private pj;
    px: Brush;
    private kb;
    ld: number;
    private ks;
    lu: number;
    private l7;
    m6: string;
    private mb;
    ob: string;
    private o9;
    pn: Brush;
    private pg;
    pu: Brush;
    private j2;
    k4: number;
    private kj;
    ll: number;
    private j1;
    k3: number;
    private ki;
    lk: number;
    private kc;
    le: number;
    private kt;
    lv: number;
    private jx;
    jz: boolean;
    private jy;
    j0: boolean;
    private o2;
    o5: HorizontalAlignment;
    private p1;
    p4: VerticalAlignment;
    private o1;
    o4: HorizontalAlignment;
    private o3;
    protected get_o6(): HorizontalAlignment;
    protected set_o6(a: HorizontalAlignment): void;
    o6: HorizontalAlignment;
    private pz;
    p2: VerticalAlignment;
    private p0;
    p3: VerticalAlignment;
    private p5;
    p7: Visibility;
    private p6;
    p8: Visibility;
    private jv;
    protected get_jw(): AxisLabelsLocation;
    protected set_jw(a: AxisLabelsLocation): void;
    jw: AxisLabelsLocation;
    private l5;
    mj: string;
    private jl;
    jn: any[];
    private l9;
    nn: string;
    private jm;
    jo: any[];
}
